package com.ms.dal.mapper;

import com.ms.dal.entity.RefundPurchaseOrderSku;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Entity com.ms.dal.entity.RefundPurchaseOrderSku
 */
@Mapper
public interface RefundPurchaseOrderSkuMapper {

    int deleteByPrimaryKey(Long id);

    int insert(RefundPurchaseOrderSku record);

    int insertOrUpdate(RefundPurchaseOrderSku  record);

    int insertSelective(RefundPurchaseOrderSku record);

    RefundPurchaseOrderSku selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(RefundPurchaseOrderSku record);

    int updateByPrimaryKey(RefundPurchaseOrderSku record);

    int insertBatch(List<RefundPurchaseOrderSku> records);
}
